WP5FontNameStringPoolPacket Class Reference documentation

WP5FontNameStringPoolPacket Class Reference

`#include <WP5FontNameStringPoolPacket.h>`

Inheritance diagram for WP5FontNameStringPoolPacket:

## Public Member Functions
| WP5FontNameStringPoolPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP5FontNameStringPoolPacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataSize) override
librevenge::RVNGString | getFontName (const unsigned int offset) const
Public Member Functions inherited from WP5GeneralPacketData
| WP5GeneralPacketData ()
virtual | ~WP5GeneralPacketData ()

## Private Attributes
std::map< unsigned int, librevenge::RVNGString > | m_fontNameString

## Additional Inherited Members
Static Public Member Functions inherited from WP5GeneralPacketData
static WP5GeneralPacketData * | constructGeneralPacketData (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5GeneralPacketIndex *packetIndex)
Protected Member Functions inherited from WP5GeneralPacketData
virtual void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## ◆ WP5FontNameStringPoolPacket()

WP5FontNameStringPoolPacket::WP5FontNameStringPoolPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

## ◆ ~WP5FontNameStringPoolPacket()

WP5FontNameStringPoolPacket::~WP5FontNameStringPoolPacket | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP5FontNameStringPoolPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataSize )
| overridevirtual

Implements WP5GeneralPacketData.

## ◆ getFontName()

librevenge::RVNGString WP5FontNameStringPoolPacket::getFontName | ( | const unsigned int | offset | ) | const

Referenced by WP5FontGroup::parse(), and WP5Parser::parse().

## Member Data Documentation

## ◆ m_fontNameString

std::map<unsigned int, librevenge::RVNGString> WP5FontNameStringPoolPacket::m_fontNameString
| private

Referenced by _readContents(), getFontName(), and WP5FontNameStringPoolPacket().

The documentation for this class was generated from the following files:

- WP5FontNameStringPoolPacket.h
- WP5FontNameStringPoolPacket.cpp